package body MSHTML.DispSVGPatternElement_Object is

   procedure Put_xmlbase
     (This : DispSVGPatternElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGPatternElement_Put_xmlbase,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_xmlbase;

   function Get_xmlbase
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_xmlbase);
   end Get_xmlbase;

   procedure PutRef_ownerSVGElement
     (This : DispSVGPatternElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGPatternElement_PutRef_ownerSVGElement,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_ownerSVGElement;

   function Get_ownerSVGElement
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_ownerSVGElement);
   end Get_ownerSVGElement;

   procedure PutRef_viewportElement
     (This : DispSVGPatternElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGPatternElement_PutRef_viewportElement,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_viewportElement;

   function Get_viewportElement
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_viewportElement);
   end Get_viewportElement;

   procedure PutRef_focusable
     (This : DispSVGPatternElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGPatternElement_PutRef_focusable,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_focusable;

   function Get_focusable
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_focusable);
   end Get_focusable;

   procedure PutRef_patternUnits
     (This : DispSVGPatternElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGPatternElement_PutRef_patternUnits,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_patternUnits;

   function Get_patternUnits
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_patternUnits);
   end Get_patternUnits;

   procedure PutRef_patternContentUnits
     (This : DispSVGPatternElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGPatternElement_PutRef_patternContentUnits,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_patternContentUnits;

   function Get_patternContentUnits
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_patternContentUnits);
   end Get_patternContentUnits;

   procedure PutRef_patternTransform
     (This : DispSVGPatternElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGPatternElement_PutRef_patternTransform,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_patternTransform;

   function Get_patternTransform
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_patternTransform);
   end Get_patternTransform;

   procedure PutRef_x
     (This : DispSVGPatternElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGPatternElement_PutRef_x,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_x;

   function Get_x
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_x);
   end Get_x;

   procedure PutRef_y
     (This : DispSVGPatternElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGPatternElement_PutRef_y,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_y;

   function Get_y
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_y);
   end Get_y;

   procedure PutRef_width
     (This : DispSVGPatternElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGPatternElement_PutRef_width,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_width;

   function Get_width
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_width);
   end Get_width;

   procedure PutRef_height
     (This : DispSVGPatternElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGPatternElement_PutRef_height,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_height;

   function Get_height
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_height);
   end Get_height;

   function Get_href
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_href);
   end Get_href;

   function Get_requiredFeatures
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_requiredFeatures);
   end Get_requiredFeatures;

   function Get_requiredExtensions
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_requiredExtensions);
   end Get_requiredExtensions;

   function Get_systemLanguage
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_systemLanguage);
   end Get_systemLanguage;

   function hasExtension
     (This      : DispSVGPatternElement_Type;
      extension : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispSVGPatternElement_hasExtension,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => extension),
         Free);
   end hasExtension;

   procedure Put_xmllang
     (This : DispSVGPatternElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGPatternElement_Put_xmllang,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_xmllang;

   function Get_xmllang
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_xmllang);
   end Get_xmllang;

   procedure Put_xmlspace
     (This : DispSVGPatternElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGPatternElement_Put_xmlspace,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_xmlspace;

   function Get_xmlspace
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_xmlspace);
   end Get_xmlspace;

   function Get_externalResourcesRequired
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_externalResourcesRequired);
   end Get_externalResourcesRequired;

   function Get_className
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_className);
   end Get_className;

   function Get_viewBox
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_viewBox);
   end Get_viewBox;

   procedure PutRef_preserveAspectRatio
     (This : DispSVGPatternElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGPatternElement_PutRef_preserveAspectRatio,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_preserveAspectRatio;

   function Get_preserveAspectRatio
     (This : DispSVGPatternElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPatternElement_Get_preserveAspectRatio);
   end Get_preserveAspectRatio;

end MSHTML.DispSVGPatternElement_Object;

